info:
  description: Layout Parser Service Processor

tenant-user-management-service.url: "http://tenant-user-management-service:8080/internal"
fforesight.tenants.remote: true

server:
  port: 8080

logging.pattern.level: "%5p [${spring.application.name},%X{traceId:-},%X{spanId:-}]"
logging.type: ${LOGGING_TYPE:CONSOLE}

spring:
  main:
    allow-circular-references: true # FIXME
  rabbitmq:
    host: ${RABBITMQ_HOST:localhost}
    port: ${RABBITMQ_PORT:5672}
    username: ${RABBITMQ_USERNAME:user}
    password: ${RABBITMQ_PASSWORD:rabbitmq}
    listener:
      simple:
        acknowledge-mode: AUTO
        concurrency: 2
        retry:
          enabled: true
          max-attempts: 3
          max-interval: 15000
        prefetch: 1

layoutparser:
  debug: true

pdftron.license: demo:1650351709282:7bd235e003000000004ec28a6743e1163a085e2115de2536ab6e2cfe5a

management:
  endpoint:
    metrics.enabled: ${monitoring.enabled:false}
    prometheus.enabled: ${monitoring.enabled:false}
    health.enabled: true
  endpoints.web.exposure.include: prometheus, health
